Subject: Re: UDP, checksum, ports (was: Re: Should the specifications hard-refer to UDP?)

From: Christian Huitema <[email-masked]>
Date: Fri, 4 Sep 2020 10:34:53 -0700

On 9/4/2020 9:07 AM, Behcet Sarikaya wrote:
>
>
> On Fri, Sep 4, 2020 at 10:56 AM Lars Eggert <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Hi,
>
>     On 2020-9-4, at 18:36, Behcet Sarikaya <[email-masked]
>     <mailto:[email-masked]>> wrote:
>     > QUIC draft mentions UDP in many places, it says QUIC is
>     UDP-based but in the draft RFC 768 is not listed as a reference
>     informative/normative.
>
>     I opened https://github.com/quicwg/base-drafts/pull/4073 to fix
>     that - thank you for noticing.
>
>     > Second, probably more importantly, UDP header has the fields
>     source/destination port and checksum. These are not mentioned in
>     the draft.
>     > I wonder why?
>
>     What would you expect the drafts to say about checksums and ports?
>
>
> Yes, I realize that the draft mentions ports. 
> What I think should be mentioned is if these header fields are
> required then what are the requirements on implementations, or just
> refer to RFC 768?

Let's just refer to RFC 768. In particular, let's not have a protracted
discussion about UDP versus UDP-lite...

-- Christian Huitema